javax.websocket.server

## Interface ServerApplicationConfig

-     public interface ServerApplicationConfig

  Applications may provide an implementation of this interface to filter the discovered WebSocket endpoints that are deployed. Implementations of this class will be discovered via an ServletContainerInitializer scan.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Class<?>>` | `getAnnotatedEndpointClasses(java.util.Set<java.lang.Class<?>> scanned)` Enables applications to filter the discovered classes annotated with `ServerEndpoint`.
    `java.util.Set<ServerEndpointConfig>` | `getEndpointConfigs(java.util.Set<java.lang.Class<? extends Endpoint>> scanned)` Enables applications to filter the discovered implementations of `ServerEndpointConfig`.

- - ### Method Detail

    - #### getEndpointConfigs

          java.util.Set<ServerEndpointConfig> getEndpointConfigs(java.util.Set<java.lang.Class<? extends Endpoint>> scanned)

      Enables applications to filter the discovered implementations of `ServerEndpointConfig`.
      Parameters:
        `scanned` - The `Endpoint` implementations found in the application
      Returns:
        The set of configurations for the endpoint the application wishes to deploy

    - #### getAnnotatedEndpointClasses

          java.util.Set<java.lang.Class<?>> getAnnotatedEndpointClasses(java.util.Set<java.lang.Class<?>> scanned)

      Enables applications to filter the discovered classes annotated with `ServerEndpoint`.
      Parameters:
        `scanned` - The POJOs annotated with `ServerEndpoint` found in the application
      Returns:
        The set of POJOs the application wishes to deploy

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.